local layered_animation = {
  type = "simple-entity",
  name = "entity_with_layered_animation",
  icon = "__base__/graphics/icons/assembling-machine-1.png",
  collision_box = { { -1.2, -1.2 }, { 1.2, 1.2 } },
  selection_box = { { -1.5, -1.5 }, { 1.5, 1.5 } },
  animations = {
    layers = {
      {
        scale = 0.5,
        filename = "__base__/graphics/entity/assembling-machine-1/assembling-machine-1-shadow.png",
        blend_mode = "normal",
        width = 190,
        height = 165,
        frame_count = 1,
        repeat_count = 32,
        draw_as_shadow = true,
        shift = { 0.265625, 0.15625 }
      },
    }
  }
}

local animation_with_sheets = {
  type = "simple-entity",
  name = "entity_with_animation_sheets",
  icon = "__base__/graphics/icons/assembling-machine-2.png",
  collision_box = { { -1.2, -1.2 }, { 1.2, 1.2 } },
  selection_box = { { -1.5, -1.5 }, { 1.5, 1.5 } },
  animations = {
    sheets = {
      {
        scale = 0.5,
        filename = "__base__/graphics/entity/assembling-machine-2/assembling-machine-2-shadow.png",
        blend_mode = "normal",
        draw_as_shadow = true,
        width = 196,
        height = 163,
        frame_count = 1,
        repeat_count = 32,
        variation_count = 1,
        shift = { 0.375, 0.1484375 }
      },
    }
  }
}

data:extend({ layered_animation, animation_with_sheets })
